#pragma once

#include "Vector.h"
#include "Player.h"
#include "World.h"

class KeyboardState
{
public:
	bool keys[256];
	bool special[256];
	bool control, shift, alt;

	KeyboardState();
};

class CrystalPoint
{
public:
	void init();
	void draw();
	void update();

	World* world;
	Player* player;

	static int width, height;
	KeyboardState keyboardState;
	KeyboardState prevKeyboardState;

	Vec2f mouseOffset;
	Vec2f mousePosition;

	float lastFrameTime;
private:
};